BlendFi
API referenceUsers

Create a user

POST
/v1/users
AuthorizationBearer <token>

Paste your BlendFi API key. Sandbox keys start with sk_test_. The Bearer prefix is added automatically.

In: header

Header Parameters

idempotency-key*string

Client-generated unique key to make the mutation safe to retry.

Length1 <= length

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.sandbox.blendfi.com.br/v1/users" \  -H "idempotency-key: 0196c5d9-2e34-7c24-a47e-a0e1f89bb8a9" \  -H "Content-Type: application/json" \  -d '{    "external_id": "partner-user-001",    "name": "Jane Doe",    "document_type": "cpf",    "document_number": "52998224725"  }'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "external_id": "string",
  "name": "string",
  "email": "string",
  "date_of_birth": "string",
  "user_type": "individual",
  "document_type": "cpf",
  "document_masked": "string",
  "risk_profile": "conservative",
  "kyc_status": "not_started",
  "kyc_approved_at": "2019-08-24T14:15:22Z",
  "kyc_expires_at": "2019-08-24T14:15:22Z",
  "metadata": {
    "property1": null,
    "property2": null
  },
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z"
}
{
  "code": "string",
  "message": "string",
  "request_id": "string",
  "details": {
    "property1": null,
    "property2": null
  }
}
{
  "code": "string",
  "message": "string",
  "request_id": "string",
  "details": {
    "property1": null,
    "property2": null
  }
}
{
  "code": "string",
  "message": "string",
  "request_id": "string",
  "details": {
    "property1": null,
    "property2": null
  }
}
{
  "code": "string",
  "message": "string",
  "request_id": "string",
  "details": {
    "property1": null,
    "property2": null
  }
}
{
  "code": "string",
  "message": "string",
  "request_id": "string",
  "details": {
    "property1": null,
    "property2": null
  }
}
{
  "code": "string",
  "message": "string",
  "request_id": "string",
  "details": {
    "property1": null,
    "property2": null
  }
}
{
  "code": "string",
  "message": "string",
  "request_id": "string",
  "details": {
    "property1": null,
    "property2": null
  }
}
{
  "code": "string",
  "message": "string",
  "request_id": "string",
  "details": {
    "property1": null,
    "property2": null
  }
}